| Tilt Five NDK |

Data Structures | Macros | Typedefs | Enumerations
types.h File Reference

C common types for the Tilt Five™ API. More...

`#include <stdbool.h>`
`#include <stdint.h>`
Include dependency graph for types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | T5_Vec2
| 2D vector More...
struct | T5_Vec3
| 3D vector More...
struct | T5_Quat
| Quaternion. More...
struct | T5_GameboardSize
| Physical dimensions of a gameboard. More...
struct | T5_ClientInfo
| Client provided information for use with t5CreateGlasses() More...
struct | T5_GlassesPose
| Glasses pose information to be retrieved with t5GetGlassesPose() More...
struct | T5_CameraStreamConfig
| Camera stream configuration. More...
struct | T5_FrameInfo
| Render information to be used with t5SendFrameToGlasses() More...
struct | T5_CamImage
| Camera Frame information to be retrieved with t5GetFilledCamImageBuffer() More...
struct | T5_WandStreamConfig
| Wand stream configuration. More...
struct | T5_WandReport
| Contains wand related information (Pose, Buttons, Trigger, Stick, Battery) More...
struct | T5_WandStreamEvent
| Represents an event from the wand stream. More...

## Macros
#define | T5_MAX_STRING_PARAM_LEN (260)
| The maximum number of characters allowed for string values. More...
#define | T5_MIN_CAM_IMAGE_BUFFER_WIDTH (768)
| The minimum width required for camera image buffers. More...
#define | T5_MIN_CAM_IMAGE_BUFFER_HEIGHT (600)
| The minimum height required for camera image buffers. More...

## Typedefs
typedef struct T5_ContextImpl * | T5_Context
| Opaque handle used with system-wide functions. More...
typedef struct T5_GlassesImpl * | T5_Glasses
| Opaque handle used with glasses. More...
typedef uint8_t | T5_WandHandle
| Opaque handle used with wands. More...

## Enumerations
enum | T5_GraphicsApi { kT5_GraphicsApi_None = 1 , kT5_GraphicsApi_GL = 2 , kT5_GraphicsApi_D3D11 = 3 }
| Graphics API types. More...
enum | T5_GameboardType { kT5_GameboardType_None = 1 , kT5_GameboardType_LE = 2 , kT5_GameboardType_XE = 3 , kT5_GameboardType_XE_Raised = 4 }
| Possible gameboard types. More...
enum | T5_ConnectionState { kT5_ConnectionState_ExclusiveConnection = 1 , kT5_ConnectionState_ExclusiveReservation = 2 , kT5_ConnectionState_NotExclusivelyConnected = 3 , kT5_ConnectionState_Disconnected = 4 }
| Glasses connection state. More...
enum | T5_GlassesPoseUsage { kT5_GlassesPoseUsage_GlassesPresentation = 1 , kT5_GlassesPoseUsage_SpectatorPresentation = 2 }
| Glasses pose usage indicator. More...
enum | T5_WandStreamEventType { kT5_WandStreamEventType_Connect = 1 , kT5_WandStreamEventType_Disconnect = 2 , kT5_WandStreamEventType_Desync = 3 , kT5_WandStreamEventType_Report = 4 }
| Wand stream event type. More...
enum | T5_Hand { kT5_Hand_Unknown = 0 , kT5_Hand_Left = 1 , kT5_Hand_Right = 2 }
| Wand hand. More...
enum | T5_ParamGlasses { kT5_ParamGlasses_Float_IPD = 1 , kT5_ParamGlasses_UTF8_FriendlyName = 6 }
| Possible parameters that can be retrieved for glasses. More...
enum | T5_ParamSys { kT5_ParamSys_UTF8_Service_Version = 1 , kT5_ParamSys_Integer_CPL_AttRequired = 2 }
| Possible parameters that can be retrieved with System-wide parameters. More...

## Detailed Description

C common types for the Tilt Five™ API.

Definition in file types.h.